# Uses of Class
org.bukkit.generator.structure.Structure

Packages that use Structure
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.generator.structure
Classes to facilitate world `Structure` generation.
org.bukkit.util
Multi and single purpose classes to facilitate various programmatic concepts.

## Uses of Structure in org.bukkit

Fields in org.bukkit with type parameters of type Structure
Modifier and Type
Field
Description
`static final Registry<Structure>`
Registry.`STRUCTURE`
Server structures.
Methods in org.bukkit with parameters of type Structure
Modifier and Type
Method
Description
`@Nullable StructureSearchResult`
World.`locateNearestStructure(@NotNull Location origin, @NotNull Structure structure, int radius, boolean findUnexplored)`
Find the closest nearby structure of a given `Structure`.

## Uses of Structure in org.bukkit.generator.structure

Fields in org.bukkit.generator.structure declared as Structure
Modifier and Type
Field
Description
`static final Structure`
Structure.`ANCIENT_CITY`
`static final Structure`
Structure.`BASTION_REMNANT`
`static final Structure`
Structure.`BURIED_TREASURE`
`static final Structure`
Structure.`DESERT_PYRAMID`
`static final Structure`
Structure.`END_CITY`
`static final Structure`
Structure.`FORTRESS`
`static final Structure`
Structure.`IGLOO`
`static final Structure`
Structure.`JUNGLE_PYRAMID`
`static final Structure`
Structure.`MANSION`
`static final Structure`
Structure.`MINESHAFT`
`static final Structure`
Structure.`MINESHAFT_MESA`
`static final Structure`
Structure.`MONUMENT`
`static final Structure`
Structure.`NETHER_FOSSIL`
`static final Structure`
Structure.`OCEAN_RUIN_COLD`
`static final Structure`
Structure.`OCEAN_RUIN_WARM`
`static final Structure`
Structure.`PILLAGER_OUTPOST`
`static final Structure`
Structure.`RUINED_PORTAL`
`static final Structure`
Structure.`RUINED_PORTAL_DESERT`
`static final Structure`
Structure.`RUINED_PORTAL_JUNGLE`
`static final Structure`
Structure.`RUINED_PORTAL_MOUNTAIN`
`static final Structure`
Structure.`RUINED_PORTAL_NETHER`
`static final Structure`
Structure.`RUINED_PORTAL_OCEAN`
`static final Structure`
Structure.`RUINED_PORTAL_SWAMP`
`static final Structure`
Structure.`SHIPWRECK`
`static final Structure`
Structure.`SHIPWRECK_BEACHED`
`static final Structure`
Structure.`STRONGHOLD`
`static final Structure`
Structure.`SWAMP_HUT`
`static final Structure`
Structure.`VILLAGE_DESERT`
`static final Structure`
Structure.`VILLAGE_PLAINS`
`static final Structure`
Structure.`VILLAGE_SAVANNA`
`static final Structure`
Structure.`VILLAGE_SNOWY`
`static final Structure`
Structure.`VILLAGE_TAIGA`

## Uses of Structure in org.bukkit.util

Methods in org.bukkit.util that return Structure
Modifier and Type
Method
Description
`@NotNull Structure`
StructureSearchResult.`getStructure()`
Return the structure which was found.